
-- --------------------------------------------------------
-- 
-- Table structure for table `rss_feeds`
-- 

CREATE TABLE `rss_feeds` (
  `id` bigint(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `siteurl` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `date_added` datetime default NULL,
  `date_updated` datetime default NULL,
  `refresh_interval` int(16) NOT NULL default '60',
  `active` tinyint(1) NOT NULL default '0',
  `etag` varchar(255) default NULL,
  `last_modified` varchar(255) default NULL,
  `icon` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `url` (`url`)
) TYPE=MyISAM;


-- --------------------------------------------------------
-- 
-- Table structure for table `rss_items`
-- 

CREATE TABLE `rss_items` (
  `id` bigint(16) NOT NULL auto_increment,
  `feed_id` bigint(11) NOT NULL default '0',
  `category` varchar(255) NOT NULL default '',
  `title` varchar(255) default NULL,
  `summary` varchar(255) default NULL,
  `contents` text,
  `url` varchar(255) default NULL,
  `guid` text,
  `md5sum` varchar(32) default NULL,
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  `pubdate` datetime default NULL,
  `author` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `url` (`url`),
  KEY `guid` (`guid`(10)),
  KEY `feed_id` (`feed_id`),
  KEY `author` (`author`)
) TYPE=MyISAM;

